package com.ruoyi.project.mapper;

import com.ruoyi.project.bo.ProjectStaffRecordInput;
import com.ruoyi.project.bo.ProjectStaffRecordOut;
import com.ruoyi.project.domain.ProjectStaffRecord;

import java.util.List;

public interface ProjectStaffRecordMapper {
    int deleteByPrimaryKey(Long id);

    int insert(ProjectStaffRecord record);

    int insertSelective(ProjectStaffRecord record);

    ProjectStaffRecord selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(ProjectStaffRecord record);

    int updateByPrimaryKey(ProjectStaffRecord record);

    List<ProjectStaffRecordOut> selectList(ProjectStaffRecordInput in);
}
